Mac El Capitan でTrueCryptをインストール

VeraCryptに移行しました。

詳しくはこちら: Mac TrueCryptからVeraCryptに移行(変換も出来る) - ikap


インストールしただけで使えるか試していないけど、インストールに少し苦戦したのでメモ。

El Capitanだとインストールしようとするとバージョンが低いよと言われてエラーで進めなくなる

この対処法は、 (version 7.1a) mpkg -> Contents -> distribution.dist をテキストとして開いて、

function pm_install_check() {
    if(!(system.version.ProductVersion >= '10.4.0')) {
        my.result.title = 'Error';
        my.result.message = 'TrueCrypt requires Mac OS X 10.4 or later.';
        my.result.type = 'Fatal';
        return false;
    }
    return true;
}

の分岐を無くせばいい。つまり、こう、

function pm_install_check() {
    return true;
}

すればいい。

確か7.1aでいいはず

タイトルとURLをコピーしました